<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/MorphineMdfr.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dc6/_morphine_mdfr_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MorphineMdfr.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/dc6/_morphine_mdfr_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d5e/class_morphine_mdfr.html">MorphineMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#ac9e14aedec30ecadd26f73d550e0be54">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d5e/class_morphine_mdfr.html#ac9e14aedec30ecadd26f73d550e0be54">LIFETIME</a> = 60;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#abd169ca2004f0a76e348397df7c1ba0b">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#abd169ca2004f0a76e348397df7c1ba0b">Init</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_MORPHINE;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = 1;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#a31cac7f19a851aad92c103102390b249">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#a31cac7f19a851aad92c103102390b249">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#a475d49ac81806614d1c5fe6c8dd2a522">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#a475d49ac81806614d1c5fe6c8dd2a522">OnReconnect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>(player);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#a33d7d7d0994751d7476af81d22b2f06d">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#a33d7d7d0994751d7476af81d22b2f06d">GetDebugText</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> (<a class="code hl_variable" href="../../d0/d5e/class_morphine_mdfr.html#ac9e14aedec30ecadd26f73d550e0be54">LIFETIME</a> - <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a>()).<a class="code hl_function" href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">ToString</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#a86b06c7472986c019f1c16e236ab4d7e">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#a86b06c7472986c019f1c16e236ab4d7e">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> (player.GetBrokenLegs() != <a class="code hl_enumeration" href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a>.NO_BROKEN_LEGS)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            player.m_ShockHandler.SetMultiplier(0.1); <span class="comment">//was 0.5 //Switch the shock multiplier NEED A CONST</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="comment">//if( player.GetNotifiersManager() ) player.GetNotifiersManager().ActivateByType(eNotifiers.NTF_PILLS);</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        player.IncreaseHealingsCount();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_InjuryHandler.m_ForceInjuryAnimMask = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_InjuryHandler.m_ForceInjuryAnimMask | eInjuryOverrides.MORPHINE;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#a9dabf48345ccaf65559fe4962cd1f9aa">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#a9dabf48345ccaf65559fe4962cd1f9aa">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> (player.GetBrokenLegs() != <a class="code hl_enumeration" href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a>.NO_BROKEN_LEGS)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            player.m_ShockHandler.SetMultiplier(1); <span class="comment">//Reset the shock multiplier when modifier stops</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="comment">//if( player.GetNotifiersManager() ) player.GetNotifiersManager().DeactivateByType(eNotifiers.NTF_PILLS);</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        player.DecreaseHealingsCount();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_InjuryHandler.m_ForceInjuryAnimMask = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_InjuryHandler.m_ForceInjuryAnimMask &amp; ~eInjuryOverrides.MORPHINE;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#a07d26db4e32f34ebbeb141584e8f59c5">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#a07d26db4e32f34ebbeb141584e8f59c5">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordtype">float</span> attached_time = <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a>();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span>( attached_time &gt;= <a class="code hl_variable" href="../../d0/d5e/class_morphine_mdfr.html#ac9e14aedec30ecadd26f73d550e0be54">LIFETIME</a> )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d0/d5e/class_morphine_mdfr.html#ae3aab705c0090eeaeb513ea5deead528">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5e/class_morphine_mdfr.html#ae3aab705c0090eeaeb513ea5deead528">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>};</div>
<div class="ttc" id="a_e_broken_legs_8c_html_a12f1d5042885139e5fa3d8ee34a474b6"><div class="ttname"><a href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a></div><div class="ttdeci">eBrokenLegs</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d11/_e_broken_legs_8c_source.html#l00001">EBrokenLegs.c:2</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a6d27673678a2b8c86ee597aa1ab6db0a"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a></div><div class="ttdeci">float GetAttachedTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00150">ModifierBase.c:150</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a771f17acf34676182be64e41430920e6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a></div><div class="ttdeci">void DisableActivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00078">ModifierBase.c:78</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8326cd63358abd4d8bfa7c8538fecd4"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a></div><div class="ttdeci">bool m_IsPersistent</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00016">ModifierBase.c:16</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html">MorphineMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00001">MorphineMdfr.c:2</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_a07d26db4e32f34ebbeb141584e8f59c5"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#a07d26db4e32f34ebbeb141584e8f59c5">MorphineMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00051">MorphineMdfr.c:51</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_a31cac7f19a851aad92c103102390b249"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#a31cac7f19a851aad92c103102390b249">MorphineMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00015">MorphineMdfr.c:15</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_a33d7d7d0994751d7476af81d22b2f06d"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#a33d7d7d0994751d7476af81d22b2f06d">MorphineMdfr::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00025">MorphineMdfr.c:25</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_a475d49ac81806614d1c5fe6c8dd2a522"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#a475d49ac81806614d1c5fe6c8dd2a522">MorphineMdfr::OnReconnect</a></div><div class="ttdeci">override void OnReconnect(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00020">MorphineMdfr.c:20</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_a86b06c7472986c019f1c16e236ab4d7e"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#a86b06c7472986c019f1c16e236ab4d7e">MorphineMdfr::OnActivate</a></div><div class="ttdeci">override void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00030">MorphineMdfr.c:30</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_a9dabf48345ccaf65559fe4962cd1f9aa"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#a9dabf48345ccaf65559fe4962cd1f9aa">MorphineMdfr::OnDeactivate</a></div><div class="ttdeci">override void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00041">MorphineMdfr.c:41</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_abd169ca2004f0a76e348397df7c1ba0b"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#abd169ca2004f0a76e348397df7c1ba0b">MorphineMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00005">MorphineMdfr.c:5</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_ac9e14aedec30ecadd26f73d550e0be54"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#ac9e14aedec30ecadd26f73d550e0be54">MorphineMdfr::LIFETIME</a></div><div class="ttdeci">const int LIFETIME</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00003">MorphineMdfr.c:3</a></div></div>
<div class="ttc" id="aclass_morphine_mdfr_html_ae3aab705c0090eeaeb513ea5deead528"><div class="ttname"><a href="../../d0/d5e/class_morphine_mdfr.html#ae3aab705c0090eeaeb513ea5deead528">MorphineMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc6/_morphine_mdfr_8c_source.html#l00065">MorphineMdfr.c:65</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___strings_html_ga2aa07a41b8fd7270be668acdf9486a87"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">string::ToString</a></div><div class="ttdeci">static proto string ToString(void var, bool type=false, bool name=false, bool quotes=true)</div><div class="ttdoc">Return string representation of variable.</div></div>
<div class="ttc" id="ahuman_8c_html_ad88f589957281ee7efebbc581b18bef1"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a></div><div class="ttdeci">class HumanMovementState OnActivate()</div><div class="ttdoc">HumanCommandScript fully scriptable command.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01072">human.c:1134</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../db/dc6/_morphine_mdfr_8c.html">MorphineMdfr.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
